Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Refund an order

POST/orders/{id}/refund
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
amountinteger

Refund amount in cents

descriptionstring
reasonstring
Allowed:duplicatefraudulentcustomer_requestother
authorization_codestring

Reference code for manual refunds

manualboolean

Skip the payment gateway and record the refund directly

default: false
Responses
200

Refund processed

idinteger
order_idinteger
amountinteger

Amount in cents (negative for refunds)

absolute_amountinteger

Absolute value of amount in cents

successfulboolean
card_token_idinteger
payment_method_typestring
transaction_idstring

Gateway transaction ID

authorization_codestring
descriptionstring
created_atstring<date-time>
422

Order is not refundable, or amount exceeds max_refundable_amount

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/orders/string/refund' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "amount": 2500,
  "reason": "customer_request"
}'
Response
{
  "id": 0,
  "order_id": 0,
  "amount": 0,
  "absolute_amount": 0,
  "successful": true,
  "card_token_id": 0,
  "payment_method_type": "string",
  "transaction_id": "string",
  "authorization_code": "string",
  "description": "string",
  "created_at": "2019-08-24T14:15:22Z"
}

Was this page helpful?